# Uses of Enum Class
javax.validation.constraints.Pattern.Flag

Packages that use Pattern.Flag
Package
Description
javax.validation.constraints

## Uses of Pattern.Flag in javax.validation.constraints

Methods in javax.validation.constraints that return Pattern.Flag
Modifier and Type
Method
Description
`static Pattern.Flag`
Pattern.Flag.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Pattern.Flag[]`
Pattern.Flag.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.